Subject: bug#53857: telegram-desktop: fails to build

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 08 Feb 2022 08:15:05 +0100

Hi Christopher,

Am Montag, dem 07.02.2022 um 09:32 -0900 schrieb Christopher Howard:
> {standard input}:1918775: Warning: end of file not at end of a line;
> newline inserted
> {standard input}: Error: open CFI at the end of file; missing
> .cfi_endproc directive
> c++: fatal error: Killed signal terminated program cc1plus
> compilation terminated.
> make[2]: *** [Telegram/CMakeFiles/td_scheme.dir/build.make:79:
> Telegram/CMakeFiles/td_scheme.dir/gen/scheme.cpp.o] Error 1
> make[2]: Leaving directory '/tmp/guix-build-telegram-desktop-2.9.3.drv-
> 0/build'
> make[1]: *** [CMakeFiles/Makefile2:1618:
> Telegram/CMakeFiles/td_scheme.dir/all] Error 2
> make[1]: *** Waiting for unfinished jobs....
> ```
According to [1], this happens when GCC runs out of memory.  You could
try decreasing parallelism to see how that goes, but I'd hazard a guess
that telegram-desktop is too large for measly 12 gigs of RAM+swap.

> I will attached the build log. Here is my system information:
> 
> ```
> christopher@theoden ~$ guix describe
> Generation 31   Feb 04 2022 09:30:14    (current)
>   guix 8391a99
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: 8391a99d089322a39cbacb1e6dc2979d8b2ef7c9
Note that the last build of telegram-desktop succeeded in the
evaluation of commit 11590bff50fe0244e66c11d995aa5301c8965959 [2],
which admittedly is newer than February 4th, but the recipe hasn't
changed in between as far as I'm aware.  I therefore don't think that
the package itself is broken.

Cheers

[1] https://gcc.gnu.org/bugzilla/show_bug.cgi?id=67571
[2] https://ci.guix.gnu.org/build/467392/log/raw